SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000508Project pluginChartpublic2009-02-19 23:242010-03-04 18:09
Reporterivan 
Assigned Topaulh 
PriorityhighSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0000508: Chart eval()'s unchecked input
DescriptionWhile updating paths I noticed that chart.php contains the line

eval("\$$var=cleanvar(\$_REQUEST['$var']);");

oops! This is going to need rewriting as it allows arbitrary php code to be executed.

Although this is slightly mitigated by the fact that a user must be authenticated to reach this line.
Tagssecurity
Attached Files

- Relationships

-  Notes
User avatar (0000652)
paulh (administrator)
2009-02-22 15:41

r5183 resolves this

- Issue History
Date Modified Username Field Change
2009-02-19 23:24 ivan New Issue
2009-02-19 23:58 ivan Tag Attached: security
2009-02-22 15:41 paulh Note Added: 0000652
2009-02-22 15:41 paulh Assigned To => paulh
2009-02-22 15:41 paulh Status new => resolved
2009-02-22 15:41 paulh Resolution open => fixed
2009-02-22 15:41 paulh Fixed in Version => 2.1
2010-03-04 18:09 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker